VirtualBox Main API

Public Attributes | List of all members
IGuestDirectoryReadEvent Interface Reference

Notification when a directory entry has been read. More...

Inheritance diagram for IGuestDirectoryReadEvent:

## Public Attributes
readonly attribute wstring | path
| Path of the directory entry.
readonly attribute IFsObjInfo | objInfo
| Object information of the directory entry.
readonly attribute wstring | owner
| Resolved owner name of the directory entry.
readonly attribute wstring | groups
| Resolved user groups of the directory entry.
Public Attributes inherited from IGuestDirectoryEvent
readonly attribute IGuestDirectory | directory
| Guest directory object which is related to this event.
Public Attributes inherited from IGuestSessionEvent
readonly attribute IGuestSession | session
| Guest session that is subject to change.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when a directory entry has been read.

Interface ID:
  `{4E774BBE-5285-4517-8D34-21260633C513}`

## Member Data Documentation

## ◆ path

readonly attribute wstring IGuestDirectoryReadEvent::path

Path of the directory entry.

## ◆ objInfo

readonly attribute IFsObjInfo IGuestDirectoryReadEvent::objInfo

Object information of the directory entry.

Also see IFsObjInfo.

## ◆ owner

readonly attribute wstring IGuestDirectoryReadEvent::owner

Resolved owner name of the directory entry.

## ◆ groups

readonly attribute wstring IGuestDirectoryReadEvent::groups

Resolved user groups of the directory entry.